package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxProfitSharingOrder;
import com.iformall.domain.vo.WxProfitSharingOrderDetailsVo;
import com.iformall.domain.vo.WxProfitSharingOrderQueryVo;
import com.iformall.domain.vo.WxProfitSharingOrderVo;

import java.util.List;
import java.util.Map;

public interface WxProfitSharingOrderMapper extends CommonMapper<WxProfitSharingOrder, Long> {

	List<WxProfitSharingOrder> findList(WxProfitSharingOrder wxProfitSharingOrder);

    List<WxProfitSharingOrderVo> findOrderList(WxProfitSharingOrderQueryVo order);

    Long queryOrderForSum(Map<String,Object> params);

    Long queryOrderForMerchantCount(Map<String,Object> params);

    List<WxProfitSharingOrderDetailsVo> findOrderDetails(Long id);

}
